<?php
/**
 *
 * Template Name: Archives
 *
 */
get_header(); ?>
<div class="container">
  <div class="row">
      <div class="main-content col-sm-9 col-md-9">
		<div  id="archive-page" class="post-item media post-gallery">
			<h3><?php the_title(); ?></h3>
			<div class="row">
					<div class="col-md-3">
						<h4><?php _e('Available Pages','AvonLite'); ?></h4>
						<ul class="list">
							<?php wp_list_pages('title_li=&depth=-1' ); ?>
						</ul>
					</div>

					<div class="col-md-3">
						<h4><?php _e('The 20 latest posts','AvonLite'); ?></h4>
						<ul class="list">
							<?php 
								$args = array( 
									'post_type' => array('post'),
									'posts_per_page' => 20
								); 
								$posts_query = new WP_Query( $args );
								while ($posts_query->have_posts()) : $posts_query->the_post();
							?>
							<li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php the_title(); ?></a></li>
							<?php endwhile; wp_reset_query(); ?>
						</ul>
					</div>

					<div class="col-md-3">
						<h4><?php _e('Archives by Subject','AvonLite'); ?></h4>
						<ul class="list">
						<?php
							$args =  array( 
								'orderby' => 'name',
								'show_count' => 0,
								'hide_empty' => 0,
								'title_li' => '',
								'taxonomy' => 'category'
							); 
							wp_list_categories($args ); 
							?>
						</ul>
					</div>
					
					<div class="col-md-3">
						<h4><?php _e('Archives by Month','AvonLite'); ?></h4>
						<ul class="list">
							<?php wp_get_archives('type=monthly'); ?>
						</ul>
					</div>
			</div>
		</div> <!-- #archive-page -->
      </div><!--/main-content-->
    <?php get_sidebar(); ?>
  </div><!--/row-->
</div><!--/.container-->
<?php get_footer(); ?>